Bug 646491 - Replace SETUID in spec file with the correct file capabilities.
Replace SETUID in spec file with the correct file capabilities.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks: removesuid16
  Show dependency treegraph
 
Reported: 2010-10-25 09:39 EDT by Daniel Walsh
Modified: 2013-09-11 14:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 646443
: 646492 (view as bug list)
Environment:
Last Closed: 2013-09-11 14:58:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2010-10-25 09:39:30 EDT
+++ This bug was initially created as a clone of Bug #646443 +++

Description of problem:

Please remove setuid setup of files in your package with file capabilities.

This is to satisfy the F15 feature.

https://fedoraproject.org/wiki/Features/RemoveSETUID

An example of how this was done for X is.


%if 0%{?fedora} < 15
%define Xorgperms %attr(4711, root, root)
%else
%define Xorgperms %attr(0711,root,root) %caps(cap_sys_admin,cap_sys_rawio,cap_dac_override=pe)
%endif
Comment 1 Daniel Walsh 2011-04-05 09:19:55 EDT
Any movement on this?
Comment 2 Fedora End Of Life 2013-04-03 14:56:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Jon Stanley 2013-09-11 14:43:12 EDT
Moving back to rawhide.  Any word on this?
Comment 4 Tomas Mraz 2013-09-11 14:58:43 EDT
As the setuid binaries in shadow-utils would need at least cap_dac_override and perhaps others, it does not really make sense.

Note You need to log in before you can comment on or make changes to this bug.